<?php
/*
		目录读写测试
*/

if(!defined('VI_BASE')) {
	exit('Access Denied');
}

///////////////////////////////////

//清除缓存
clearstatcache();

//错误信息
$error = array();
	
//目录测试_开始
foreach( $_G['project']['check'] as $path ){
	
	if( !is_dir(VI_ROOT.$path) ){
	
		$error[] = array( $path, "不存在此文件夹" );
		
	}else{
	
		//改权限（只能用755，用777部分国外虚拟主机会报错）
		!@chmod( VI_ROOT.$path, 0755 );
		
		if( is_readable( VI_ROOT.$path ) == FALSE ){
			
			$error[] = array( $path, "缺少对目录必要的读权限" );
			
		}else if( is_writable( VI_ROOT.$path ) == FALSE ){
			
			$error[] = array( $path, "缺少对目录必要的写权限" );
			
		}
	}
}

?>

<?php

//有错误消息
if( count( $error ) > 0 ){

?>

<link type="text/css" href="style/install.css" rel="stylesheet" />

<script type="text/javascript">
	
	//暂停运行，显示测试界面
	Serv.END = true;

</script>

<!--调试界面_开始-->
<dl id="setup">
    <dt>
        <span>                	
            <a href="http://www.veryide.com/guide.php" target="_blank"><img src="image/icon/help.png" /> 帮助</a>
            <a href="http://www.veryide.com/bbs.php" target="_blank"><img src="image/icon/talk.png" /> 论坛</a>
        </span>
        
        调试工具
    </dt>
    <dd>
        
        <p><strong>读写验证</strong></p>
        
        <?php
	foreach( $error as $err ){
		echo '<p class="error">'.$err[0].'：<em>'.$err[1].'</em></p>';		
	}
	?>

        <p> <button onclick="location.reload();">再试试</button> </p>
        
    </dd>        
</dl>
<!--调试界面_开始-->

<?php

	exit();

}else{
		
	//3天后提醒升级浏览器
	//!$_SESSION['Manager']['id'] && 
	if( preg_match("/MSIE 6.0/i", $_SERVER["HTTP_USER_AGENT"]) && time() - VI_START > 259200 ){		
		//echo '<script src="source/browser/warning.js" charset="'.$_G['product']['charset'].'"></script>';
		//echo '<script>window.onload=function(){e("source/browser/");}</script><!--[if lte IE 6]><![endif]-->';
	}
		
}

?>
